### Hierarchy

- UnixTree
  - Tree

### Implemented by

- BaseTree

## Index

### Properties

- readOnly

### Methods

- add
- cat
- exists
- get
- ls
- mkdir
- mv
- rm

## Properties

### readOnly

readOnly: boolean

- Defined in fs/types.ts:71

## Methods

### add

- add(path: Path, content: FileContent): Promise<UnixTree>

- - Defined in fs/types.ts:76

  #### Parameters

  - ##### path: Path

  - ##### content: FileContent

  #### Returns Promise<UnixTree>

### cat

- cat(path: Path): Promise<FileContent>

- - Defined in fs/types.ts:75

  #### Parameters

  - ##### path: Path

  #### Returns Promise<FileContent>

### exists

- exists(path: Path): Promise<boolean>

- - Defined in fs/types.ts:80

  #### Parameters

  - ##### path: Path

  #### Returns Promise<boolean>

### get

- get(path: Path): Promise<null | PuttableUnixTree | File>

- - Defined in fs/types.ts:79

  #### Parameters

  - ##### path: Path

  #### Returns Promise<null | PuttableUnixTree | File>

### ls

- ls(path: Path): Promise<Links>

- - Defined in fs/types.ts:73

  #### Parameters

  - ##### path: Path

  #### Returns Promise<Links>

### mkdir

- mkdir(path: Path): Promise<UnixTree>

- - Defined in fs/types.ts:74

  #### Parameters

  - ##### path: Path

  #### Returns Promise<UnixTree>

### mv

- mv(from: Path, to: Path): Promise<UnixTree>

- - Defined in fs/types.ts:78

  #### Parameters

  - ##### from: Path

  - ##### to: Path

  #### Returns Promise<UnixTree>

### rm

- rm(path: Path): Promise<UnixTree>

- - Defined in fs/types.ts:77

  #### Parameters

  - ##### path: Path

  #### Returns Promise<UnixTree>

Generated using TypeDoc